package com.qmth.teachcloud.task.job;

import com.qmth.teachcloud.common.contant.SystemConstant;
import com.qmth.teachcloud.task.job.service.JobService;
import org.quartz.JobExecutionContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * 初始化阅卷数据（课程、考生、卡格式、解析题卡结构）
 */
public class InitMarkDataJob extends QuartzJobBean {
    private final static Logger log = LoggerFactory.getLogger(InitMarkDataJob.class);

    @Resource
    JobService jobService;

    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext) {
        try {
            jobService.initMarkData();
        } catch (Exception e) {
            log.error(SystemConstant.LOG_ERROR, e);
        }
    }
}
